trcyk(1)

NAME

truncyk_check - check alignment under the TrCYK model

SYNOPSIS
truncyk_check [options] cmfile seqfile

DESCRIPTION
trcyk reads the covariance model (CM) in cmfile and aligns the sequences in seqfile to that CM using the TrCYK model for incomplete data, using both the full-memory and divide-and-conquer approaches. It checks that the scores from both methods match, that the alignments from both methods match, and that the score of each alignment matches the score returned by the program.

Because it does use the full-memory implementation of TrCYK it can be extremely memory intensive; checking only the scores with the --scoreonly option or only the divide-and-conquer approach with the --smallonly option is advised for large models and/or long sequences.

OPTIONS

-h  show help

--scoreonly
    Check only the scores, not the alignments (saves memory).

--smallonly
    Check only divide-and-conquer, not the full memory implementation (saves memory).

--stringent
    Require the two parsetrees to be identical.